Bug 599545 - SELinux is preventing /usr/sbin/clamd "create" access on COPYING.
SELinux is preventing /usr/sbin/clamd "create" access on COPYING.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:16556caa3df...
:
: 599547 599550 599551 599552 599553 599555 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 09:44 EDT by andy york
Modified: 2010-07-29 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 12:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andy york 2010-06-03 09:44:58 EDT
Summary:

SELinux is preventing /usr/sbin/clamd "create" access on COPYING.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by clamd. It is not expected that this access is
required by clamd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:clamd_t:s0
Target Context                system_u:object_r:httpd_sys_rw_content_t:s0
Target Objects                COPYING [ file ]
Source                        clamd
Source Path                   /usr/sbin/clamd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           clamav-server-0.95.3-1301.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.x86_64 #1
                              SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 03 Jun 2010 09:42:16 AM EDT
Last Seen                     Thu 03 Jun 2010 09:42:16 AM EDT
Local ID                      e876cd77-41a6-44c5-b9c7-26ecaddfd517
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275572536.429:30): avc:  denied  { create } for  pid=2380 comm="clamd" name="COPYING" scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:httpd_sys_rw_content_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1275572536.429:30): avc:  denied  { write open } for  pid=2380 comm="clamd" name="COPYING" dev=dm-0 ino=3278347 scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:httpd_sys_rw_content_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1275572536.429:30): arch=c000003e syscall=2 success=yes exit=11 a0=1a1bb10 a1=241 a2=1b6 a3=0 items=0 ppid=1 pid=2380 auid=4294967295 uid=485 gid=469 euid=485 suid=485 fsuid=485 egid=469 sgid=469 fsgid=469 tty=(none) ses=4294967295 comm="clamd" exe="/usr/sbin/clamd" subj=system_u:system_r:clamd_t:s0 key=(null)



Hash String generated from  catchall,clamd,clamd_t,httpd_sys_rw_content_t,file,create
audit2allow suggests:

#============= clamd_t ==============
#!!!! The source type 'clamd_t' can write to a 'file' of the following types:
# clamd_tmp_t, clamd_var_log_t, clamd_var_lib_t, clamd_var_run_t, root_t

allow clamd_t httpd_sys_rw_content_t:file { write create open };
Comment 1 Daniel Walsh 2010-06-03 10:01:01 EDT
Did you change the label of some directory that clamd needs to write to to httpd_sys_rw_content_t?
Comment 2 Daniel Walsh 2010-06-03 10:01:39 EDT
*** Bug 599553 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Walsh 2010-06-03 10:01:48 EDT
*** Bug 599555 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Walsh 2010-06-03 10:01:54 EDT
*** Bug 599552 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Walsh 2010-06-03 10:02:01 EDT
*** Bug 599551 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Walsh 2010-06-03 10:02:08 EDT
*** Bug 599550 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Walsh 2010-06-03 10:02:14 EDT
*** Bug 599547 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.